<div id="location" class="page-layout carded fullwidth inner-scroll">
    <!-- TOP BACKGROUND -->
    <div class="top-bg accent"></div>
    <!-- / TOP BACKGROUND -->
    <!-- CENTER -->
    <div class="center">
        <!-- HEADER -->
        <div class="header accent small" fxLayout="column" fxLayoutAlign="center center" fxLayout.gt-sm="row"
            fxLayoutAlign.gt-sm="space-between center">
            <!-- APP TITLE -->
            <div class="logo mb-24 mb-md-0" fxLayout="row" fxLayoutAlign="start center"
                style="max-height: 90px !important; min-height: 90px !important; margin-top: -20px;">
                <mat-icon class="logo-icon s-32 mr-16" [@animate]="{value:'*',params:{delay:'50ms',scale:'0.2'}}">
                    person
                </mat-icon>
                <div style="background-color:white;" class="search-wrapper mx-32 mx-md-0">
                    <div class="search" fxFlex fxLayout="row" fxLayoutAlign="start center">
                        <mat-icon style="color:#444;">search</mat-icon>
                        <input (keyup)="applyFilter($event.target.value)" #filter placeholder="Search for a user">
                    </div>
                </div>
            </div>





        </div>
        <!-- / HEADER -->

        <!-- ADD BUTTON -->
        <!-- <button class="add-button" mat-fab color="primary" id="add-button" (click)="addCircle()" >
            <mat-icon>add</mat-icon>
        </button>
        <button class="scroll-button" mat-fab color="primary" id="add-button" (click)="container.scrollTo(0,0)">
            <mat-icon>arrow_upward</mat-icon>
        </button> -->

        <!-- CONTENT CARD -->
        <div #container class="content-card" style="overflow: auto;
        max-height: 608px;
        margin-top: -60px;">
            <table mat-table [dataSource]="dataSource" multiTemplateDataRows matSort class="mat-elevation-z8">
                <!-- First Name Column -->
                <ng-container matColumnDef="name" >
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Name</mat-header-cell>
                    <mat-cell *matCellDef="let allUsers">
                        <p class="text-truncate">{{allUsers.name}}</p>
                    </mat-cell>
                </ng-container>
                <ng-container matColumnDef="mobile" >
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Mobile</mat-header-cell>
                    <mat-cell *matCellDef="let allUsers">
                        <p class="text-truncate">{{allUsers.mobile}}</p>
                    </mat-cell>
                </ng-container>
                <ng-container matColumnDef="role" >
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Role</mat-header-cell>
                    <mat-cell *matCellDef="let allUsers">
                        <p class="text-truncate">{{allUsers.role}}</p>
                    </mat-cell>
                </ng-container>

                <ng-container matColumnDef="delete">
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Delete</mat-header-cell>
                    <mat-cell style="cursor: pointer;min-width: 40px;"
                        *matCellDef="let allUsers">
                        <mat-icon style="color: red;" (click)='deleteUser(allUsers)'>delete</mat-icon>
                    </mat-cell>
                </ng-container>
                
                
                

               


                <mat-header-row *matHeaderRowDef=" displayedColumns"> </mat-header-row>
                <mat-row *matRowDef="let allUsers; columns: displayedColumns;"> </mat-row>
            </table>
            <mat-paginator [pageSize]="10" [pageSizeOptions]="[5,10,25,50,100]"></mat-paginator>

        </div>
        <!-- / CONTENT CARD -->
    </div>
    <!-- / CENTER -->

</div>